Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.labels
Interface LabelDao

All Superinterfaces:
  BambooObjectDao

All Known Implementing Classes:
  LabelHibernateDao

    public interface LabelDao

extends BambooObjectDao

Method Summary
`List` | `findBuildResultsSummaryByLabel(Label label)`
`Label` | `findLabelByNameAndNamespace(String name, String namespace)`
`Labelling` | `findLabellingByBuild(Label label, Build build)`
`Labelling` | `findLabellingByBuildResultsSummary(Label label, BuildResultsSummary buildResultsSummary)`
`Labelling` | `findLabellingByProject(Label label, Project project)`
`List` | `findLabellingByUser(String userName)`
`List` | `findLabels(Build build)`
`List` | `findLabels(Project project)`
`List` | `findLabels(String namespace, int maxResults)`
`List` | `findLabels(String namespace, int maxResults, Build build)`
`List` | `findLabels(String namespace, int maxResults, Project project)`
`int` | `getUsageCountForLabel(Label label)`

Methods inherited from interface com.atlassian.bamboo.persistence.BambooObjectDao
`findById`

Method Detail

### findLabelByNameAndNamespace

    Label findLabelByNameAndNamespace(String name,
                                      String namespace)

### findBuildResultsSummaryByLabel

    List findBuildResultsSummaryByLabel(Label label)

### findLabellingByBuildResultsSummary

    Labelling findLabellingByBuildResultsSummary(Label label,
                                                 BuildResultsSummary buildResultsSummary)

### getUsageCountForLabel

    int getUsageCountForLabel(Label label)

### findLabels

    List findLabels(String namespace,
                    int maxResults)

### findLabellingByBuild

    Labelling findLabellingByBuild(Label label,
                                   Build build)

### findLabellingByProject

    Labelling findLabellingByProject(Label label,
                                     Project project)

### findLabels

    List findLabels(String namespace,
                    int maxResults,
                    Build build)

### findLabels

    List findLabels(String namespace,
                    int maxResults,
                    Project project)

### findLabels

    List findLabels(Build build)

### findLabels

    List findLabels(Project project)

### findLabellingByUser

    List findLabellingByUser(String userName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.